Update Clarity Team Settings
curl --request PATCH \
--url https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamSize": 123,
"averageHourlyRate": 5000,
"emailReportsEnabled": true,
"emailReportIncludeSummary": true,
"emailReportIncludeCaptures": true,
"companyName": "<string>",
"industry": "<string>",
"annualRevenue": 1
}
'import requests
url = "https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings"
payload = {
"teamSize": 123,
"averageHourlyRate": 5000,
"emailReportsEnabled": True,
"emailReportIncludeSummary": True,
"emailReportIncludeCaptures": True,
"companyName": "<string>",
"industry": "<string>",
"annualRevenue": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamSize: 123,
averageHourlyRate: 5000,
emailReportsEnabled: true,
emailReportIncludeSummary: true,
emailReportIncludeCaptures: true,
companyName: '<string>',
industry: '<string>',
annualRevenue: 1
})
};
fetch('https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'teamSize' => 123,
'averageHourlyRate' => 5000,
'emailReportsEnabled' => true,
'emailReportIncludeSummary' => true,
'emailReportIncludeCaptures' => true,
'companyName' => '<string>',
'industry' => '<string>',
'annualRevenue' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings"
payload := strings.NewReader("{\n \"teamSize\": 123,\n \"averageHourlyRate\": 5000,\n \"emailReportsEnabled\": true,\n \"emailReportIncludeSummary\": true,\n \"emailReportIncludeCaptures\": true,\n \"companyName\": \"<string>\",\n \"industry\": \"<string>\",\n \"annualRevenue\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"teamSize\": 123,\n \"averageHourlyRate\": 5000,\n \"emailReportsEnabled\": true,\n \"emailReportIncludeSummary\": true,\n \"emailReportIncludeCaptures\": true,\n \"companyName\": \"<string>\",\n \"industry\": \"<string>\",\n \"annualRevenue\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamSize\": 123,\n \"averageHourlyRate\": 5000,\n \"emailReportsEnabled\": true,\n \"emailReportIncludeSummary\": true,\n \"emailReportIncludeCaptures\": true,\n \"companyName\": \"<string>\",\n \"industry\": \"<string>\",\n \"annualRevenue\": 1\n}"
response = http.request(request)
puts response.read_body{
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamSize": 123,
"averageHourlyRate": 1,
"currency": "USD",
"emailReportsEnabled": true,
"emailReportIncludeSummary": true,
"emailReportIncludeCaptures": true,
"language": "en",
"mapLanguage": "en",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isUserConfigured": true,
"companyName": "<string>",
"industry": "<string>",
"annualRevenue": 123
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Clarity
Update Clarity Team Settings
Update clarity team settings for financial calculations
PATCH
/
v2
/
teams
/
{teamId}
/
clarity
/
team-settings
Update Clarity Team Settings
curl --request PATCH \
--url https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamSize": 123,
"averageHourlyRate": 5000,
"emailReportsEnabled": true,
"emailReportIncludeSummary": true,
"emailReportIncludeCaptures": true,
"companyName": "<string>",
"industry": "<string>",
"annualRevenue": 1
}
'import requests
url = "https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings"
payload = {
"teamSize": 123,
"averageHourlyRate": 5000,
"emailReportsEnabled": True,
"emailReportIncludeSummary": True,
"emailReportIncludeCaptures": True,
"companyName": "<string>",
"industry": "<string>",
"annualRevenue": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamSize: 123,
averageHourlyRate: 5000,
emailReportsEnabled: true,
emailReportIncludeSummary: true,
emailReportIncludeCaptures: true,
companyName: '<string>',
industry: '<string>',
annualRevenue: 1
})
};
fetch('https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'teamSize' => 123,
'averageHourlyRate' => 5000,
'emailReportsEnabled' => true,
'emailReportIncludeSummary' => true,
'emailReportIncludeCaptures' => true,
'companyName' => '<string>',
'industry' => '<string>',
'annualRevenue' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings"
payload := strings.NewReader("{\n \"teamSize\": 123,\n \"averageHourlyRate\": 5000,\n \"emailReportsEnabled\": true,\n \"emailReportIncludeSummary\": true,\n \"emailReportIncludeCaptures\": true,\n \"companyName\": \"<string>\",\n \"industry\": \"<string>\",\n \"annualRevenue\": 1\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"teamSize\": 123,\n \"averageHourlyRate\": 5000,\n \"emailReportsEnabled\": true,\n \"emailReportIncludeSummary\": true,\n \"emailReportIncludeCaptures\": true,\n \"companyName\": \"<string>\",\n \"industry\": \"<string>\",\n \"annualRevenue\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.duvo.ai/v2/teams/{teamId}/clarity/team-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"teamSize\": 123,\n \"averageHourlyRate\": 5000,\n \"emailReportsEnabled\": true,\n \"emailReportIncludeSummary\": true,\n \"emailReportIncludeCaptures\": true,\n \"companyName\": \"<string>\",\n \"industry\": \"<string>\",\n \"annualRevenue\": 1\n}"
response = http.request(request)
puts response.read_body{
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamSize": 123,
"averageHourlyRate": 1,
"currency": "USD",
"emailReportsEnabled": true,
"emailReportIncludeSummary": true,
"emailReportIncludeCaptures": true,
"language": "en",
"mapLanguage": "en",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isUserConfigured": true,
"companyName": "<string>",
"industry": "<string>",
"annualRevenue": 123
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"answer_persisted": true,
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Body
application/json
Available options:
cs, de, de-CH, en, en-GB, es, es-MX, fr, hu, pl, pt, pt-BR, sk, sl, th, uk, ar-EG, ar-SA, da-DK, de-AT, el-GR, en-AU, en-GB-scotland, en-IE, en-IN, en-NG, en-ZA, es-AR, fi-FI, fr-BE, fr-CA, gsw-CH, he-IL, hi-IN, hi-Latn-IN, id-ID, it-IT, ja-JP, ko-KR, nb-NO, nl-BE, nl-NL, ro-RO, sv-SE, tr-TR, vi-VN, yue-HK, zh-Hans-CN, zh-Hant-TW, af-ZA, ak-GH, sq-AL, am-ET, hy-AM, as-IN, az-AZ, eu-ES, be-BY, bn-BD, bs-BA, bg-BG, my-MM, ca-ES, ceb-PH, hr-HR, et-EE, fo-FO, fil-PH, gl-ES, ka-GE, gu-IN, ha-NG, is-IS, ga-IE, kn-IN, kk-KZ, km-KH, rw-RW, ku-TR, ky-KG, lo-LA, lv-LV, lt-LT, mk-MK, ms-MY, ml-IN, mt-MT, mi-NZ, mr-IN, mn-MN, ne-NP, or-IN, om-ET, ps-AF, fa-IR, pa-IN, qu-PE, rm-CH, ru-RU, sr-RS, sd-PK, si-LK, so-SO, st-ZA, sw-TZ, tg-TJ, ta-IN, te-IN, tn-ZA, tk-TM, ur-PK, uz-UZ, cy-GB, fy-NL, wo-SN, yo-NG, zu-ZA, bn-IN, ur-IN, fr-CH, it-CH, de-BE, sw-KE, sw-UG, ms-SG, zh-Hans-SG, ta-SG, ta-LK, yue-CN, ar-IL, ar-MA, fr-MA, sv-FI, es-US, ru-BY, ru-KZ, fa-AF, ar-DZ, fr-DZ, ar-TN, fr-TN, ar-LY, ar-SD, ar-IQ, ku-IQ, ar-SY, ar-JO, ar-AE, ar-QA, ar-KW, ar-OM, ar-YE, ar-LB, fr-LB, pt-AO, pt-MZ, es-CO, es-PE, es-CL, es-VE, es-EC, es-BO, qu-BO, es-PY, es-UY, es-CU, es-GT, es-HN, es-NI, es-CR, es-PA, es-DO, es-SV, sr-ME, fr-CD, fr-CI, fr-SN, fr-ML, fr-CM, da-GL, tn-BW, af-NA, el-CY, tr-CY, fr-LU, de-LU, en-CA, en-NZ, en-SG, en-PH, en-KE, en-GH, en-PK Available options:
cs, de, de-CH, en, en-GB, es, es-MX, fr, hu, pl, pt, pt-BR, sk, sl, th, uk, ar-EG, ar-SA, da-DK, de-AT, el-GR, en-AU, en-GB-scotland, en-IE, en-IN, en-NG, en-ZA, es-AR, fi-FI, fr-BE, fr-CA, gsw-CH, he-IL, hi-IN, hi-Latn-IN, id-ID, it-IT, ja-JP, ko-KR, nb-NO, nl-BE, nl-NL, ro-RO, sv-SE, tr-TR, vi-VN, yue-HK, zh-Hans-CN, zh-Hant-TW, af-ZA, ak-GH, sq-AL, am-ET, hy-AM, as-IN, az-AZ, eu-ES, be-BY, bn-BD, bs-BA, bg-BG, my-MM, ca-ES, ceb-PH, hr-HR, et-EE, fo-FO, fil-PH, gl-ES, ka-GE, gu-IN, ha-NG, is-IS, ga-IE, kn-IN, kk-KZ, km-KH, rw-RW, ku-TR, ky-KG, lo-LA, lv-LV, lt-LT, mk-MK, ms-MY, ml-IN, mt-MT, mi-NZ, mr-IN, mn-MN, ne-NP, or-IN, om-ET, ps-AF, fa-IR, pa-IN, qu-PE, rm-CH, ru-RU, sr-RS, sd-PK, si-LK, so-SO, st-ZA, sw-TZ, tg-TJ, ta-IN, te-IN, tn-ZA, tk-TM, ur-PK, uz-UZ, cy-GB, fy-NL, wo-SN, yo-NG, zu-ZA, bn-IN, ur-IN, fr-CH, it-CH, de-BE, sw-KE, sw-UG, ms-SG, zh-Hans-SG, ta-SG, ta-LK, yue-CN, ar-IL, ar-MA, fr-MA, sv-FI, es-US, ru-BY, ru-KZ, fa-AF, ar-DZ, fr-DZ, ar-TN, fr-TN, ar-LY, ar-SD, ar-IQ, ku-IQ, ar-SY, ar-JO, ar-AE, ar-QA, ar-KW, ar-OM, ar-YE, ar-LB, fr-LB, pt-AO, pt-MZ, es-CO, es-PE, es-CL, es-VE, es-EC, es-BO, qu-BO, es-PY, es-UY, es-CU, es-GT, es-HN, es-NI, es-CR, es-PA, es-DO, es-SV, sr-ME, fr-CD, fr-CI, fr-SN, fr-ML, fr-CM, da-GL, tn-BW, af-NA, el-CY, tr-CY, fr-LU, de-LU, en-CA, en-NZ, en-SG, en-PH, en-KE, en-GH, en-PK Response
Default Response
Was this page helpful?